Qwen Image 2
Overview
Qwen Image 2 is an advanced text-to-image and image-to-image model with stronger text rendering and multi-image editing support.
Test API KEY: key_00000000000000000000000000000000Endpoints
1. Create Task
Request
POST https://api.pixwithapi.online/api/task/createHeaders
| Header | Value | Required |
|---|---|---|
| Content-Type | application/json | Yes |
| Api-Key | {API_KEY} | Yes |
Request Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| prompt | string | Yes | The input prompt (e.g., “a futuristic city skyline at sunrise”) |
| image_urls | array | Conditional | ["https://cdn.pixwithapi.online/example.jpg"]. Provide 1-3 images for image-to-image mode. Omit for text-to-image mode. |
| model_id | string | Yes | 0-43 |
| options | object | Yes | Configuration options for the task |
| options.prompt_optimization | boolean | Yes | If true, all prompt words will be automatically translated into English. |
| options.aspect_ratio | string | Conditional | Aspect ratio of the output. Valid values: '1:1', '2:3', '3:2', '3:4', '4:3', '9:16', '16:9', '21:9' |
Example Request - Text-to-Image
{
"prompt": "a futuristic city skyline at sunrise",
"model_id": "0-43",
"options": {
"prompt_optimization": true,
"aspect_ratio": "16:9"
}
}Example Request - Image-to-Image
{
"prompt": "turn these references into a clean anime poster style",
"image_urls": [
"https://cdn.pixwithapi.online/example-1.jpg",
"https://cdn.pixwithapi.online/example-2.jpg",
"https://cdn.pixwithapi.online/example-3.jpg"
],
"model_id": "0-43",
"options": {
"prompt_optimization": true,
"aspect_ratio": "3:4"
}
}Response Parameters
| Parameter | Type | Description |
|---|---|---|
| code | int | 1=success, 0=error |
| message | string | Success and failure messages |
| data | object | |
| data.task_id | string | |
| data.estimated_time | int | Estimated time in seconds |
Response
{
"code": 1,
"message": "success",
"data": {
"task_id": "d425ab4dc256f0ebaa84862b9cea8a3d",
"estimated_time": 30
}
}Last updated on